## org.eclipse.jetty.annotations
Class AnnotationParser.ListValue

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationParser.Value
          org.eclipse.jetty.annotations.AnnotationParser.ListValue

Enclosing class:
  AnnotationParser

    public class AnnotationParser.ListValue

extends AnnotationParser.Value

Constructor Summary
`AnnotationParser.ListValue(java.lang.String name)`

Method Summary
`void` `addValue(AnnotationParser.Value v)`
`java.util.List<AnnotationParser.Value>` `getList()`
`java.lang.Object` `getValue()`
`int` `size()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jetty.annotations.AnnotationParser.Value
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationParser.ListValue

    public AnnotationParser.ListValue(java.lang.String name)

Method Detail

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in class `AnnotationParser.Value`

### getList

    public java.util.List<AnnotationParser.Value> getList()

### addValue

    public void addValue(AnnotationParser.Value v)

### size

    public int size()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.